[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# Copy2SpaceDel

Deletes and returns all characters in a string till the first space character (not included).

## Declaration

Source position: strutils.pp line 151

`function Copy2SpaceDel(`
`var S: String`
`):String;`

## Arguments

`S` |  | String to delete and return first characters from.

## Function result

Deleted characters from the string

## Description

Copy2SpaceDel determines the position of the first space in the string S and returns all characters up to this position. The space character itself is not included in the result string. All returned characters, including the space, are deleted from the string S, after which it is right-trimmed. If there is no space in S, then the whole string S is returned, and S itself is emptied.

This function simply calls Copy2SymbDel with the space (ASCII code 32) as the symbol argument.

## Errors

None.

## See also

Copy2SymbDel |  | Deletes and returns all characters in a string till a given character (not included).
Copy2Space |  | Returns all characters in a string till the first space character (not included).

The latest version of this document can be found at lazarus-ccr.sourceforge.net.